API Docs
YMS API
Shuttle Task/Level 1
GET Get Shuttle Task by ID

GET Get Shuttle Task by ID

Introduction

Retrieves detailed information of a specific shuttle task by its unique task ID. Returns comprehensive task data including status, equipment details, location information, assignee, timestamps, and any exceptions or cancellation reasons. Useful for tracking task progress and viewing complete task history.

API Request

GET /shuttle-task/{taskId}

Request Parameters

NameLocationTypeRequiredDescription
taskIdpathstringYesnone
X-Tenant-IDheaderstringNonone
X-Yard-IDheaderstringNonone
Item-Time-ZoneheaderstringNonone
AuthorizationheaderstringNonone

Response Example

200 Response

{
  "code": 0,
  "msg": "",
  "success": false,
  "data": {
    "taskId": "",
    "taskStatus": "",
    "prioritize": false,
    "equipmentType": "",
    "equipmentId": "",
    "fromLocationId": "",
    "toLocationId": "",
    "assigneeId": "",
    "createdTime": "",
    "updatedTime": "",
    "plannedStartTime": "",
    "plannedEndTime": "",
    "taskStartTime": "",
    "taskEndTime": "",
    "shuttleStartTime": "",
    "shuttleEndTime": "",
    "shuttleBy": "",
    "notes": "",
    "photos": [
      ""
    ],
    "exceptionType": "",
    "exceptionReason": "",
    "cancelReason": "",
    "equipmentBeforeUpdate": {
      "equipmentNo": "",
      "equipmentId": "",
      "equipmentStatus": "",
      "equipmentType": "",
      "trailerSize": "",
      "containerSize": "",
      "equipmentCondition": "",
      "sealNumber": "",
      "locationId": "",
      "locationName": ""
    },
    "equipmentAfterUpdate": {
      "equipmentNo": "",
      "equipmentId": "",
      "equipmentStatus": "",
      "equipmentType": "",
      "trailerSize": "",
      "containerSize": "",
      "equipmentCondition": "",
      "sealNumber": "",
      "locationId": "",
      "locationName": ""
    },
    "fromLocationName": "",
    "fromLocationGroupName": "",
    "toLocationName": "",
    "toLocationGroupName": "",
    "equipmentNo": "",
    "assigneeUserName": "",
    "shuttleByName": "",
    "equipmentCondition": "",
    "isPinned": false,
    "pinnedTime": ""
  }
}

Response

Status CodeDefinitionDescriptionData Model
200OK (opens in a new tab)noneRShuttleTaskView